# -*- coding: utf-8 -*-

from __future__ import unicode_literals

from django.conf.urls import url, include
from rest_framework import routers
from . import views


router = routers.DefaultRouter()
router.register(r'contacts', views.ContactViewSet)
router.register(r'events', views.EventViewSet)
router.register(r'lists', views.RecipientListViewSet)
router.register(r'groups', views.GroupViewSet)
router.register(r'transmissions', views.TransmissionViewSet)
router.register(r'templates', views.TemplateViewSet)

# Wire up our API using automatic URL routing.
# Additionally, we include login URLs for the browsable API.
urlpatterns = [
    url(r'^', include(router.urls)),
    url(r'^api-auth/', include('rest_framework.urls', namespace='rest_framework')),
    url(r'webhook', views.WebHookView.as_view(), name='webhook-test'),
]
